Subject: Re: Surprising results (ls: no such file or directory) with managed mounts
From: Jonathan Lennox <[email-masked]>
To: [email-masked] (Eric Blake)
Cc: [email-masked]
Date: Mon, 19 Feb 2007 21:12:35 -0500
List-Id: <cygwin.cygwin.com>

On Tuesday, February 20 2007, "Eric Blake" wrote to "Jonathan Lennox, [email-masked]" saying:

> > Cygwin managed mounts give surprising (to me) results if a filename that's
> > not in its canonical form manages to get below the managed mountpoint:
> 
> The real fix, which I've mentioned before, would be
> altering rename() to fail with EXDEV when renaming
> files across managed mount points.  But as I don't
> have copyright assignment in place for cygwin1.dll,
> I'm relying on someone else to write such a patch.
> In the meantime, just don't do that.

True, but these non-canonical filenames can also arise if you do "mount -f
-o managed EXISTING-WIN-DIR".  The "just don't do that" argument also
applies there, of course, but that's an idiom used by many pre-cygport
package build scripts.  (Cygport leaves off the -f, avoiding the problem.)

And, of course, any non-Cygwin program writing to the managed directory can
create file names not in the canonical form.

-- 
Jonathan Lennox
lennox at cs dot columbia dot edu

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/